#pragma rtGlobals=3		// Use modern global access method.

Menu "Load Waves"
	"Load Reehilch File...", LoadReehilchFile("","")
End

Function/S GetReehilchColumnInfoStr()

	String columnInfo = ""
	columnInfo += "N=Id;"
	columnInfo += "N=Filename,F=-2;"			// Text
	columnInfo += "N=XData;"
	columnInfo += "N=YData;"
	columnInfo += "N=ZData;"
	columnInfo += "N=Block;"
	columnInfo += "N=MeasPerBlock;"
	columnInfo += "N='_skip_';"					// File has semicolon with no data
	columnInfo += "N='_skip_';"					// File has semicolon with no data
	columnInfo += "N=StartCurrent;"
	columnInfo += "N=EndCurrent;"
	columnInfo += "N=FC0BeforeAnaBkgd;"
	columnInfo += "N=FC0AfterAnaBkgd;"
	columnInfo += "N=Cy;"
	columnInfo += "N=P2h;"
	columnInfo += "N=P3h;"
	columnInfo += "N=P2b;"
	columnInfo += "N=P3b;"
	columnInfo += "N=E0S1;"
	columnInfo += "N=E0S2;"
	columnInfo += "N=Counts160;"
	columnInfo += "N=Rate160;"
	columnInfo += "N=Counts180;"
	columnInfo += "N=Rate180;"
	columnInfo += "N=Ratio;"
	columnInfo += "N=ErrMean;"
	columnInfo += "N=Poisson;"
	columnInfo += "N='_skip_';"					// File has semicolon with no data
	return columnInfo
End

Function LoadReehilchFile(pathName, fileName)
	String pathName		// Name of an Igor symbolic path or "".
	String fileName		// Name of file or full path to file.

	// First get a valid reference to a file.
	if ((strlen(pathName)==0) || (strlen(fileName)==0))
		// Display dialog looking for file.
		Variable refNum
		Open/D/R/P=$pathName refNum as fileName
		fileName = S_fileName			// S_fileName is set by Open/D
		if (strlen(fileName) == 0)			// User cancelled?
			return -1
		endif
	endif
	
	String columnInfoStr = GetReehilchColumnInfoStr()
	LoadWave /J /V={";","",0,0} /L={0,1,0,0,0} /B=columnInfoStr /P=$pathName fileName
	return 0
End
